stages:
  - build
  - deploy

build react-app:
  image: node:16.13.2
  stage: build
  only:
    - main
  script:
    - export PATH=$PATH:/usr/bin/npm
    - npm i
    - CI=false npm run build
  artifacts:
    paths:
      # Build folder
      - build/
    expire_in: 1 hour
deploy main:
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  stage: deploy
  only:
    - main
  script:
    - aws s3 sync ./build s3://ashesofarcadia.io
